
Redmine - Defect #6788

format_date in lib/redmine/i18n.rb does not support strings for dates anymore after r4183

2010-11-01 20:25 - Holger Just

Status: Closed Start date: 2010-11-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

r4183 added a workaround for i18n >= 0.3.7. This broke compatibility with string parameters (as used by some plugins)

History

#1 - 2010-11-01 20:46 - Eric Davis

Will need to include a test case. Might be a problem with the plugins that need to be updated and not a core bug.

#2 - 2010-11-01 20:53 - Holger Just

Eric Hulser: I just send you a pull request including a test: http://github.com/edavis10/redmine/pull/16

#3 - 2017-12-24 04:53 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Holger Just wrote:

This broke compatibility with string parameters (as used by some plugins)

 I think this change is no longer a problem now because the change was made 7 years ago and there should not be any plugins that depend on the

old behavior.

#4 - 2017-12-24 04:53 - Go MAEDA

- Assignee deleted (Holger Just)
